Last Comment Bug 492430 - Upgrade PHP 5 cluster to PHP 5.2.
: Upgrade PHP 5 cluster to PHP 5.2.
Status: RESOLVED FIXED
Target 5/21
:
Product: mozilla.org Graveyard
Classification: Graveyard
Component: Server Operations: Projects (show other bugs)
: other
: x86 All
: -- normal (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 15:02 PDT by Jeremy Orem [:oremj]
Modified: 2015-03-12 08:24 PDT (History)
8 users (show)
mzeier: needs‑downtime+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Jeremy Orem [:oremj] 2009-05-11 15:02:54 PDT
We need to upgrade the php 5 cluster to php 5.2 to support some new applications.  The first step will be to update the php 5 staging box.  I'll post a list of apps running on that cluster ASAP.
Comment 1 Jeremy Orem [:oremj] 2009-05-11 15:09:51 PDT
Here is the list of domains we are hosting on that cluster:
addons.mozilla.org
air.mozilla.com
archive-sfx.spreadfirefox.com
aus2.mozilla.org
blog.getfirebug.com
blog.lizardwrangler.com
blog.mozilla.com
blog.mozillafoundation.org
communitystore.mozilla.org
contribute.mozilla.org
crash-reports.mozilla.com
download.mozilla.org
facebook.addons.mozilla.org
feeds.mozilla.com
firefoxflicks.com
headrush.mozilla.com
impactmozilla.com
labs.mozilla.com
metrics-collector.mozilla.com
mozilla-europe.org
mozillamessaging.com
mozillaparty.com
mozilla-world.org
operationfirefox.com
pastebin.mozilla.org
pfs.mozilla.org
preview.addons.mozilla.org
priorartshare.org
reporter.mozilla.org
rsvp.mozilla.com
services.addons.mozilla.org
sfxdown.mozilla.com
spreadfirefox.com
support.mozilla.com
survey.mozilla.com
surveys.mozilla-europe.org
update.mozilla.org
userpanel.mozilla.com
wiki.mozilla.org
www.firefoxflicks.com
www.impactmozilla.com
www.mozillamessaging.com
www.mozillaparty.com
www.priorartshare.org
www.spreadfirefox.com
www.worldfirefoxday.com
Comment 2 Michael Morgan [:morgamic] 2009-05-11 15:20:33 PDT
http://us2.php.net/manual/en/migration52.incompatible.php
Comment 3 Jeremy Orem [:oremj] 2009-05-19 14:15:16 PDT
May 21st we are planning to start implementing cluster segregation by splitting off all apps except bouncer, aus2, and addons. It would be nice to upgrade that cluster to PHP 5.2 at the same time. I think it is safe to say all the wordpress, mediawiki, and drupal apps are fine, but I'm not sure about the others.

What does webdev think about going through with the upgrade on the 21st?
Comment 4 Austin King [:ozten] 2009-05-20 07:44:53 PDT
Works for me. Thanks!
Comment 5 Michael Morgan [:morgamic] 2009-05-20 08:15:48 PDT
Let's plan on that, I will make myself available to help test.
Comment 6 Michael Morgan [:morgamic] 2009-05-21 19:27:17 PDT
Is this still happening?
Comment 7 matthew zeier [:mrz] 2009-05-21 20:20:30 PDT
Boo.  This didn't make the list of things set for tonight.  Tuesday work for everyone?
Comment 8 Michael Morgan [:morgamic] 2009-05-21 20:25:21 PDT
Yes, Tuesday is fine.  Should I send a reminder on Monday to infra and webdev?
Comment 9 Jeremy Orem [:oremj] 2009-05-27 09:40:46 PDT
The generic app cluster, which hosts everything besides addons, sumo, bouncer, and aus2, has been upgraded to php 5.2.
Comment 10 Jeremy Orem [:oremj] 2009-05-28 11:07:42 PDT
Is it possible to test bouncer and aus2 against PHP 5.2 by 6/4?
Comment 11 Jeremy Orem [:oremj] 2009-06-02 11:04:24 PDT
Laura, when would be a good time to switch SUMO over?
Comment 12 Laura Thomson :laura 2009-06-02 11:27:50 PDT
Our release schedule is something like:
This Thursday, 1.0.4 for 3.5RC1
Next Tuesday, 1.1 (screencasts)

Once QA is done with 1.1 you can switch stage over.  I'll let stephend make that call.
Comment 13 Jeremy Orem [:oremj] 2009-06-03 11:57:10 PDT
Oops, stage has already been upgraded to test other apps.
Comment 14 Jeremy Orem [:oremj] 2009-06-03 11:57:44 PDT
I should mention it has been running php 5.2 since last Thursday.
Comment 15 Laura Thomson :laura 2009-06-16 11:18:20 PDT
You guys can switch SUMO over now - tonight or Thursday would be fine.  We have a release next week.
Comment 16 Jeremy Orem [:oremj] 2009-06-19 16:42:00 PDT
As of last night SUMO is running on PHP 5.2. All that is left is addons, aus2, and bouncer. I'm not super concerned with moving them over, but it is possible whenever it is necessary.

Note You need to log in before you can comment on or make changes to this bug.